
p { margin-top: 0;
    margin-bottom: 0; }

body { font-family: Roboto, Arial;
       margin: 0;
       padding-top: 80px;
       padding-left: 96px;
       padding-right: 24px;
       background-color: rgb(255, 251, 195); }

/* Header */

.header { height: 55px;
          display: flex;
          flex-direction: row;
          justify-content: space-between;
          position: fixed;
          top: 0;
          left: 0;
          right: 0;
          z-index: 100;
          background-color: rgb(243, 115, 83);
          border-bottom-width: 1px;
          border-bottom-style: solid;
          border-bottom-color: rgb(0, 0, 0); }

.left-section { display: flex;
                align-items: center; }

.dinkletoob-menu { height: 24px;
                   margin-left: 24px;
                   margin-right: 24px; }


.middle-section { flex: 1;
                  margin-left: 70px;
                  margin-right: 35px;
                  max-width: 500px;
                  display: flex;
                  align-items: center; }

.search-bar { flex: 1;
              height: 36px;
              padding-left: 10px;
              font-size: 16px;
              border: 1px solid rgb(0, 0, 0);
              border-radius: 2px;
              box-shadow: inset 1px 2px 3px rgba(0, 0, 0, 0.05);
              width: 0; }

.search-bar::placeholder { font-size: 16px; }

.search-button { height: 40px;
                 width: 66px;
                 background-color: rgb(252, 215, 96);
                 border-width: 1px;
                 border-style: solid;
                 border-color: rgb(0, 0, 0);
                 margin-left: -1px;
                 margin-right: 10px; }

.search-button,
.voice-search-button,
.upload-icon-container { display: flex;
                         justify-content: center;
                         align-items: center;
                         position: relative; }

.search-button .tooltip,
.voice-search-button .tooltip,
.upload-icon-container .tooltip { position: absolute;
                                  background-color: rgb(128, 128, 128);
                                  color: white;
                                  padding-top: 4px;
                                  padding-bottom: 4px;
                                  padding-left: 8px;
                                  padding-right: 8px;
                                  border-radius: 2px;
                                  font-size: 12px;
                                  bottom: -30px;
                                  opacity: 0;
                                  transition: opacity 0.15s;
                                  pointer-events: none;
                                  white-space: nowrap; }

.search-button:hover .tooltip,
.voice-search-button:hover .tooltip,
.upload-icon-container:hover .tooltip { opacity: 1; }

.search-icon { height: 25px; }

.voice-search-button { height: 40px;
                       width: 40px;
                       border-radius: 20px;
                       border: none;
                       background-color: rgb(252, 215, 96); }

.voice-search-icon { height: 24px; }

.right-section { width: 180px;
                 margin-right: 20px;
                 display: flex;
                 align-items: center;
                 justify-content: space-between;
                 flex-shrink: 0; }

.upload-icon { height: 24px; }

.dinkletoob-apps-icon { height: 24px; }

.notifications-icon { height: 24px; }

.notifications-icon-container { position: relative; }

.notifications-count { position: absolute;
                       top: -2px;
                       right: -5px;
                       background-color: rgb(0, 0, 0);
                       color: white;
                       font-size: 11px;
                       padding-left: 5px;
                       padding-right: 5px;
                       padding-top: 2px;
                       padding-bottom: 2px;
                       border-radius: 10px; }

.current-user-picture { height: 32px;
                        border-radius: 16px; }

/* Sidebar */
.sidebar { position: fixed;
           left: 0;
           bottom: 0;
           top: 55px;
           background-color: rgb(243, 115, 83);
           width: 72px;
           z-index: 200;
           padding-top: 5px; }

.sidebar a { text-decoration: none; }

.sidebar a:link { color: black; }
.sidebar a:visited { color: black; }
.sidebar a:hover { color: rgb(243, 115, 83);}

.sidebar-link { height: 74px;
                display: flex;
                justify-content: center;
                align-items: center;
                flex-direction: column;
                cursor: pointer; }

.sidebar-link:hover { background-color: rgb(255, 194, 82); }

.sidebar-link img { height: 24px;
                    margin-bottom: 4px; }

.sidebar-link div { font-size: 10px; }

/* Video sections */
.thumbnail { width: 100%; }

.video-title { margin-top: 0;
               font-size: 14px;
               font-weight: 500;
               line-height: 20px;
               margin-bottom: 10px; }

.video-info-grid { display: grid;
                   grid-template-columns: 50px 1fr; }

.profile-picture { width: 36px;
                   border-radius: 50px; }

.thumbnail-row { margin-bottom: 8px;
                 position: relative; }

.video-author,
.video-stats { font-size: 12px;
               color: rgb(96, 96, 96); }

.video-author { margin-bottom: 4px; }

.video-grid { display: grid;
              grid-template-columns: 1fr 1fr 1fr;
              column-gap: 16px;
              row-gap: 40px; }

@media (max-width: 750px) {
  .video-grid {
    grid-template-columns: 1fr 1fr;
  }
}

@media (min-width: 751px) and (max-width: 999px) {
  .video-grid {
    grid-template-columns: 1fr 1fr 1fr;
  }
}

@media (min-width: 1000px) {
  .video-grid {
    grid-template-columns: 1fr 1fr 1fr 1fr;
  }
}

.video-time { font-size: 12px;
              font-weight: 500;
              padding: 4px;
              border-radius: 2px;
              background-color: rgb(226, 180, 52);
              color: white;
              position: absolute;
              bottom: 8px;
              right: 5px; }

/* Bottom credits link */

.bottom { position: fixed;
          bottom: 0;
          left: 0;
          width: 100%;
          background-color:rgb(243, 115, 83);
          text-align: center;
          padding: 10px; 
          font-family:'Times New Roman', Times, serif; 
          font-weight: bold;}

.bottom a { color: #000000;
            text-decoration: none; }